Get tokens list
curl --request GET \
--url https://api.modo.link/canton-mainnet/v1/tokens \
--header 'x-api-key: <api-key>'import requests
url = "https://api.modo.link/canton-mainnet/v1/tokens"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.modo.link/canton-mainnet/v1/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"symbol": "<string>",
"contractId": "<string>",
"templateId": "<string>",
"registrar": {
"partyId": "<string>",
"accountName": "<string>",
"imageUrl": "<string>"
},
"tokenStandard": "<string>",
"createdAt": 123,
"updates": 123,
"verified": true,
"imageUrl": "<string>",
"price": 123,
"projectName": "<string>",
"projectImageUrl": "<string>"
}
],
"pageable": {
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"pageSize": 123,
"pageNumber": 123,
"offset": 123,
"paged": true,
"unpaged": true
},
"last": true,
"totalPages": 123,
"totalElements": 123,
"totalCount": 123,
"size": 123,
"number": 123,
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"first": true,
"numberOfElements": 123,
"empty": true
}Tokens
Get tokens list
Retrieve paginated list of tokens. BY_TOKEN: verified tokens first (sorted by updates), then the rest. BY_PROJECTS: sorted by project updates, then name.
GET
/
v1
/
tokens
Get tokens list
Authorizations
Query Parameters
Search tokens by symbol, name, or contract ID.
Sorting mode: BY_TOKEN (verified first, sorted by updates) or BY_PROJECTS (sorted by project).
Available options:
BY_TOKEN, BY_PROJECTS Period for updates count: 24 hours, 3 days, 7 days, 14 days.
Available options:
H24, D3, D7, D14 Queried API page.
Required range:
0 <= x <= 50Number of queried entries.
Required range:
1 <= x <= 100Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).
Available options:
ASC, DESC Response
200 - */*
OK
⌘I